# Class: Rect

## Rect()

#### new Rect()

Source:
  - Rect.js, line 8

### Methods

#### (async, static) createObj() → {Promise.<Rect>}

构造一个新的 Rect 对象。

Source:
  - Rect.js, line 17

##### Returns:

Type
  Promise.<Rect>

#### (async, static) getXMax() → {Promise.<*>}

获取x最大值

Source:
  - Rect.js, line 68

##### Returns:

Type
  Promise.<*>

#### (async, static) getXMin() → {Promise.<*>}

获取x最小值

Source:
  - Rect.js, line 40

##### Returns:

Type
  Promise.<*>

#### (async, static) getYMax() → {Promise.<*>}

获取y最大值

Source:
  - Rect.js, line 82

##### Returns:

Type
  Promise.<*>

#### (async, static) getYMin() → {Promise.<*>}

获取y最小值

Source:
  - Rect.js, line 54

##### Returns:

Type
  Promise.<*>